[med-svn] [Git][med-team/ampliconnoise][master] 6 commits: Install example and reference data

Pranav Ballaney gitlab at salsa.debian.org
Thu Jul 9 08:54:56 BST 2020



Pranav Ballaney pushed to branch master at Debian Med / ampliconnoise


Commits:
7b523a57 by Pranav Ballaney at 2020-07-09T13:16:03+05:30
Install example and reference data

- - - - -
a922e1f1 by Pranav Ballaney at 2020-07-09T13:16:15+05:30
Add autopkgtests

- - - - -
e6631129 by Pranav Ballaney at 2020-07-09T13:16:30+05:30
Install docs

- - - - -
a04d4e3e by Pranav Ballaney at 2020-07-09T13:17:10+05:30
Add Pranav Ballaney to Uploaders

- - - - -
c15dca24 by Pranav Ballaney at 2020-07-09T13:18:08+05:30
Update changelog

- - - - -
2973d082 by Pranav Ballaney at 2020-07-09T13:22:39+05:30
Include binaries

- - - - -


10 changed files:

- + debian/README.test
- debian/changelog
- debian/control
- debian/docs
- + debian/examples
- + debian/source/include-binaries
- + debian/tests/Run.sh
- + debian/tests/control
- + debian/tests/ref/C005.tar.xz
- + debian/tests/run-unit-test


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,17 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.
+
+Notes on the data used for testing this package.
+────────────────────────────────────────────────
+Run.sh is a modified copy of Test/Run.sh, where
+Truncate.pl has been changed to 
+/usr/share/ampliconnoise/Scripts/Truncate.pl, which is 
+the location where it is installed.
+
+ref/C005.tar.xz contains files obtained by running Run.sh on C005.dat.
\ No newline at end of file


=====================================
debian/changelog
=====================================
@@ -1,3 +1,21 @@
+ampliconnoise (1.29-9) UNRELEASED; urgency=medium
+
+  [ Andreas Tille ]
+  * Fix edam syntax input+output is singular
+  * SEQwiki is deprecated
+
+  [ Steffen Moeller ]
+  * d/u/metadata: yamllint
+
+  [ Pranav Ballaney ]
+  * Install example and reference data
+  * Add autopkgtests
+  * Install docs
+  * Add Pranav Ballaney to Uploaders
+  * Update changelog
+
+ -- Pranav Ballaney <ballaneypranav at gmail.com>  Thu, 09 Jul 2020 13:17:25 +0530
+
 ampliconnoise (1.29-8) unstable; urgency=medium
 
   * Set Homepage to automatic clone from googlecode to Github


=====================================
debian/control
=====================================
@@ -1,7 +1,8 @@
 Source: ampliconnoise
 Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.org>
 Uploaders: Tim Booth <tbooth at ceh.ac.uk>,
-           Andreas Tille <tille at debian.org>
+           Andreas Tille <tille at debian.org>,
+           Pranav Ballaney <ballaneypranav at gmail.com>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~),


=====================================
debian/docs
=====================================
@@ -1 +1,3 @@
 Doc.pdf
+debian/README*
+debian/tests/run-unit-test
\ No newline at end of file


=====================================
debian/examples
=====================================
@@ -0,0 +1,3 @@
+debian/tests/ref
+debian/tests/Run.sh
+Test/C005.dat
\ No newline at end of file


=====================================
debian/source/include-binaries
=====================================
@@ -0,0 +1 @@
+debian/tests/ref/C005.tar.xz
\ No newline at end of file


=====================================
debian/tests/Run.sh
=====================================
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+set -e
+
+nodes=4                              #no. of cluster nodes to use
+
+file=$1; #first argument name of dat file
+defaultPrimer="ATTAGATACCC[ACTG]GGTAG"
+primer=${2:-$defaultPrimer}
+
+echo $file
+stub=${file%.dat}
+
+echo "Calculating .fdist file"
+
+mpirun $mpiextra -np $nodes PyroDist -in $file -out ${stub} > ${stub}.fout
+
+echo "Clustering .fdist file"
+
+FCluster -in ${stub}.fdist -out ${stub}_X > ${stub}.fout
+
+rm ${stub}.fdist
+rm ${stub}_X.otu ${stub}_X.tree
+echo "Running PyroNoise"
+
+mpirun $mpiextra -np $nodes PyroNoiseM -din ${file} -out ${stub}_s60_c01 -lin ${stub}_X.list -s 60.0 -c 0.01 > ${stub}_s60_c01.pout
+
+/usr/share/ampliconnoise/Scripts/Truncate.pl 220 < ${stub}_s60_c01_cd.fa > ${stub}_s60_c01_T220.fa
+
+echo "Running SeqDist"
+mpirun $mpiextra -np $nodes SeqDist -in ${stub}_s60_c01_T220.fa > ${stub}_s60_c01_T220.seqdist
+
+FCluster -in ${stub}_s60_c01_T220.seqdist -out ${stub}_s60_c01_T220_S > ${stub}_s60_c01_T220.fcout
+
+echo "Running SeqNoise"
+mpirun $mpiextra -np $nodes SeqNoise -in ${stub}_s60_c01_T220.fa -din ${stub}_s60_c01_T220.seqdist -lin ${stub}_s60_c01_T220_S.list -out ${stub}_s60_c01_T220_s30_c08 -s 30.0 -c 0.08 -min ${stub}_s60_c01.mapping > ${stub}_s60_c01_T220.snout
+
+rm ${stub}_s60_c01_T220_S.otu ${stub}_s60_c01_T220_S.tree ${stub}_s60_c01_T220.seqdist
+
+echo "Remove degenerate primers"
+sed 's/^${primer}//' ${stub}_s60_c01_T220_s30_c08_cd.fa > ${stub}_s60_c01_T220_s30_c08_P.fa
+echo "Clustering OTUs"
+mpirun $mpiextra -np $nodes NDist -i -in ${stub}_s60_c01_T220_s30_c08_P.fa > ${stub}_s60_c01_T220_s30_c08_P.ndist
+  
+FCluster -i -in ${stub}_s60_c01_T220_s30_c08_P.ndist -out ${stub}_s60_c01_T220_s30_c08_P > ${stub}_s60_c01_T220_s30_c08_P.fcout
+
+rm ${stub}_s60_c01_T220_s30_c08_P.ndist
+
+echo "Removing intermediate files"
+rm *out
+exit 0


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, openmpi-bin
+Restrictions: allow-stderr


=====================================
debian/tests/ref/C005.tar.xz
=====================================
Binary files /dev/null and b/debian/tests/ref/C005.tar.xz differ


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -e
+
+pkg=ampliconnoise
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+gunzip -r *
+#do_stuff_to_test_package#
+./Run.sh C005.dat
+
+tar xvf ref/C005.tar.xz
+
+cd C005
+for file in *
+do
+  diff "${file}" "../${file}"
+  echo "${file} is identical to its reference."
+done
\ No newline at end of file



View it on GitLab: https://salsa.debian.org/med-team/ampliconnoise/-/compare/7d8c5f191e781be922214632dd228c9dfba18d6f...2973d0829ca03b9bb0da9ec2a3c8e9d922b27ec2

-- 
View it on GitLab: https://salsa.debian.org/med-team/ampliconnoise/-/compare/7d8c5f191e781be922214632dd228c9dfba18d6f...2973d0829ca03b9bb0da9ec2a3c8e9d922b27ec2
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200709/f2bfdb68/attachment-0001.html>


More information about the debian-med-commit mailing list